protoplug 1.3.0

@pac-dev pac-dev released this Feb 17, 2015 · 12 commits to master since this release

Two new features:

  • An embedded interactive Lua prompt based on ilua. It has access to all the globals in the running Lua state.
  • Live Mode. Check this in the menu to enable compile-as-you-type.

And some bugfixes!

Brief install instructions:

Linux: Grab a binary package from the Open Build Service, or build from source as per the readme. (Debian 7 Stable users read this.)

Windows: Extract the release zip to your VST folder (eg. C:\Program Files\Cubase\VSTPlugins). You can now load protoplug in your host.

Mac: Open the dmg, drag the plugins to your plugin folder (eg. /Library/Audio/Plug-Ins/<plugin type>), and drag ProtoplugFiles somewhere into your documents.

protoplug 1.2.0

@pac-dev pac-dev released this Oct 16, 2014 · 22 commits to master since this release

With better packaging for all platforms! You can now keep your ProtoplugFiles anywhere you want. Also some metric tonnes of bugfixes.

Brief install instructions:

Linux: Grab a binary package from the Open Build Service, or build from source as per the readme. (Debian 7 Stable users read this.)

Windows: Extract the release zip to your VST folder (eg. C:\Program Files\Cubase\VSTPlugins). You can now load protoplug in your host.

Mac: Open the dmg, drag the plugins to your plugin folder (eg. /Library/Audio/Plug-Ins/<plugin type>), and drag ProtoplugFiles somewhere into your documents.

v1.1.0

@pac-dev pac-dev released this Jun 21, 2014 · 39 commits to master since this release

Create audio plugins on-the-fly with LuaJIT.

New feature: the Lua API allows easy reading of sound files.

This VST/AU release comes with some basic scripts including spectral tools and various demonstrations and experiments.

Windows: Extract the release zip to your VST folder (eg. C:\Program Files\Cubase\VSTPlugins). You can now load protoplug in your host.

Linux: These were compiled on Debian 7 but should work on most distros. There is no standard install location for native Linux VSTs, but you can copy the whole thing to /usr/lib/vst for example.

Mac: The precompiled version requires OS X 10.6 minimum. The plugin is 32-bit, but any advanced 64-bit host should still load the plugin in bridged mode. Otherwise, try launching the host in 32-bit mode.